.modal-close {
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    display: block;
    width: rem(40);
    height: rem(40);
    cursor: pointer;
    position: relative;
    background: $purple;

    &:after,
    &:before {
        top: 50%;
        left: calc(50% - 8px);
        z-index: 1;
        content: '';
        width: 16px;
        height: 1px;
        display: block;
        background: $white;
        position: absolute;
    }

    &:after {
        transform: rotate(-45deg);
    }

    &:before {
        transform: rotate(45deg);
    }

    @include media-breakpoint-up(md) {
        width: rem(64);
        height: rem(64);

        &:after,
        &:before {
            width: 28px;
            left: calc(50% - 14px);
        }

        &--sm {
            width: rem(40);
            height: rem(40);

            &:after,
            &:before {
                width: 20px;
                left: calc(50% - 10px);
            }
        }
    }
}

.modal {
    width: 100%;
    max-width: rem(560);
    position: relative;
    padding-top: rem(20);
    background: transparent;

    &__close {
        top: 0;
        left: calc(50% - 20px);
        position: absolute;
    }

    &__main {
        background: $white;
        padding: rem(46) rem(35) rem(24) rem(35);
        border: 5px solid #F1F1F1;
    }

    &__privacy {
        margin-top: rem(24);
        font-size: rem(12);
        line-height: rem(16);
        text-align: center;

        a {
            color: $purple;
            font-weight: 500;
            text-decoration: underline;

            &:hover {
                color: $purple;
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            border: 12px solid #F1F0ED;
            padding: rem(60) rem(70) rem(40) rem(70);
        }

        &__submit {
            padding: 0 rem(24);
        }

        &__privacy {
            padding: 0 rem(24);
        }
    }
}
